## ros-iron-generate-parameter-library-example 0.3.6

=== debian/changelog ===
ros-iron-generate-parameter-library-example (0.3.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.5-1jammy) jammy; urgency=high

  * Remove documentation of deprecated validator functions (#135 <https://github.com/PickNikRobotics/generate_parameter_library/issues/135>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.4-1jammy) jammy; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.2-1jammy) jammy; urgency=high

  * Populate Range Constraints in Parameter Descriptors from Validation Functions (#103 <https://github.com/PickNikRobotics/generate_parameter_library/issues/103>)
  * Mark deprecated rsl method and propose alternative in the docs. (#102 <https://github.com/PickNikRobotics/generate_parameter_library/issues/102>)
  * Contributors: Chance Cardona, Dr. Denis

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.1-1jammy) jammy; urgency=high

  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 07:00:00 -0000

ros-iron-generate-parameter-library-example (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 07:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.8-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.7-1jammy) jammy; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.5-1jammy) jammy; urgency=high

  * 🈵 Support use of '_' in mapped parameters. (#68 <https://github.com/PickNikRobotics/generate_parameter_library/issues/68>)
  * Component node example (#60 <https://github.com/PickNikRobotics/generate_parameter_library/issues/60>)
  * Update README for example (#63 <https://github.com/PickNikRobotics/generate_parameter_library/issues/63>)
  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Fix example parameters (#54 <https://github.com/PickNikRobotics/generate_parameter_library/issues/54>)
  * Contributors: Denis Štogl, Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.4-1jammy) jammy; urgency=high

  * INTEGER type (#53 <https://github.com/PickNikRobotics/generate_parameter_library/issues/53>)
  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 05 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 03 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.1-1jammy) jammy; urgency=high

  * Fix scientific notation (#46 <https://github.com/PickNikRobotics/generate_parameter_library/issues/46>)
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.2.0-1jammy) jammy; urgency=high

  * Create stack allocated struct (#45 <https://github.com/PickNikRobotics/generate_parameter_library/issues/45>)
  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Fixed size string no default bug (#43 <https://github.com/PickNikRobotics/generate_parameter_library/issues/43>)
  * static OK to fix ODR errors (#41 <https://github.com/PickNikRobotics/generate_parameter_library/issues/41>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Validate fixed length Strings (#33 <https://github.com/PickNikRobotics/generate_parameter_library/issues/33>)
  * Fixed size strings (#29 <https://github.com/PickNikRobotics/generate_parameter_library/issues/29>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library-example (0.1.0-1jammy) jammy; urgency=high

  * Example usage of generate_parameter_library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Jul 2022 06:00:00 -0000
