=== debian/control ===
Source: ros-iron-generate-parameter-library-example
Section: misc
Priority: optional
Maintainer: Paul Gesel <paul.gesel@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-generate-parameter-library, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-generate-parameter-library-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-cmake-core, ros-iron-generate-parameter-library, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-ros-workspace
Description: Example usage of generate_parameter_library.
